List Conversations
curl --request GET \
--url https://api.bey.dev/v1/conversations \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bey.dev/v1/conversations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bey.dev/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "01234567-89ab-cdef-0123-456789abcdef",
"agent_id": "<string>",
"status": {
"type": "to_start"
},
"user_name": "<string>",
"user_email": "<string>",
"tags": {}
}
],
"next_cursor": "<string>",
"has_more": true
}Agent Conversations
List Conversations
List conversations managed by your agents.
Returns a cursor-paginated list of conversations across all of your agents, most recent first.
GET
/
v1
/
conversations
List Conversations
curl --request GET \
--url https://api.bey.dev/v1/conversations \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bey.dev/v1/conversations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bey.dev/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "01234567-89ab-cdef-0123-456789abcdef",
"agent_id": "<string>",
"status": {
"type": "to_start"
},
"user_name": "<string>",
"user_email": "<string>",
"tags": {}
}
],
"next_cursor": "<string>",
"has_more": true
}Authorizations
Your Beyond Presence API Key.
Query Parameters
Maximum number of objects to return.
Required range:
x <= 50Cursor for pagination.
Response
Paginated List of Conversations
Was this page helpful?